/*
 * Clase del Bean de Sesion sin estado ConverterBean
 */

package converter;


import java.rmi.RemoteException; 
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;
import java.math.BigDecimal;


public class ConverterBean implements SessionBean {
 
    // Factor de cambio a dolares: 1 Euro = 1,2987 Dlar USA 
    BigDecimal dollarRate = new BigDecimal("1.298");
    // Factor de cambio a euro: 1 Dlar USA = 0,7700 Euro 
    BigDecimal euroRate = new BigDecimal("0.770");


    // Implementacin del mtodo de negocio dollarToEuro
    public BigDecimal dollarToEuro(BigDecimal dollar) {

        BigDecimal result = dollar.multiply(euroRate);

        return result.setScale(2, BigDecimal.ROUND_UP);
    }

    // Implementacin del mtodo de negocio euroToDollar 
    public BigDecimal euroToDollar(BigDecimal euro) {

        BigDecimal result = euro.multiply(dollarRate);

        return result.setScale(2, BigDecimal.ROUND_UP);
    }

    // Constructor pblico sin parmetros
    public ConverterBean() {}

    // Mtodos ejbCreate 
    public void ejbCreate() {}

    // Mtodos del interfaz SessionBean
    public void ejbRemove() {}

    public void ejbActivate() {}

    public void ejbPassivate() {}

    public void setSessionContext(SessionContext sc) {}

}
